# salt.states.zabbix_valuemap

New in version 2017.7.

Management of Zabbix Valuemap object over Zabbix API.

codeauthor:

  Jakub Sliva <jakub.sliva@ultimum.io>

salt.states.zabbix_valuemap.absent(name, **kwargs)

  Makes the Zabbix Value map to be absent (either does not exist or delete it).

  Parameters:

    - name -- Zabbix Value map name

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      zabbix-valuemap-absent:
          zabbix_valuemap.absent:
              - name: Value map name

salt.states.zabbix_valuemap.present(name, params, **kwargs)

  Creates Zabbix Value map object or if differs update it according defined parameters

  Parameters:

    - name -- Zabbix Value map name

    - params -- Definition of the Zabbix Value map

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      zabbix-valuemap-present:
          zabbix_valuemap.present:
              - name: Number mapping
              - params:
                  mappings:
                      - value: 1
                        newvalue: one
                      - value: 2
                        newvalue: two